View Issue Details

IDProjectCategoryView StatusLast Update
0003900GNUnetbuild processpublic2018-06-07 00:24
ReporterlynXAssigned TolynX 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003900: Fix DESTDIR support for building packages for distributions + new Gentoo overlay
DescriptionI found this patch provided with the gentoo ebuilds for gnunet at https://bugs.gentoo.org/show_bug.cgi?id=338909 written by a nice fellow that goes by the name of "Vince C." and realized that it doesn't do anything gentoo-specific. It is fixing DESTDIR support. I have changed it just slightly and attached it here as I bumped into strange effects of files not showing up where they belong during installation until I applied this.

In the process I updated the gentoo ebuilds for gnunet and made them available in my own portage overlay at git://cheettyiapsyciew.onion/youbroketheinternet-overlay - the procedure at https://gnunet.org/gentoo-build can now be greatly simplified since libextractor and libmicrohttpd have made it into the gentoo mainline and merely gnurl and gnunet ebuilds need to come from overlays. Here's the complete new procedure:

cd /usr/local
mkdir overlay
cd overlay
torify git clone git://cheettyiapsyciew.onion/youbroketheinternet-overlay
echo 'PORTDIR_OVERLAY="/usr/local/overlay/youbroketheinternet-overlay"' >> /etc/make.conf
emerge gnurl
emerge gnunet
emerge gnunet-gtk

The reason I use a .onion is because it is more secure than https.

Only thing still bothering me: libtool doesn't understand where the installation DESTDIR is and therefore spits out a warning about each file being installed. From a quick glance at libtool docs I couldn't figure out how to make it respect DESTDIR. It's not a problem, but it is ugly. Would be more helpful if libtool did indeed warn about files getting installed in the wrong place.

TagsNo tags attached.

Activities

lynX

2015-07-18 14:14

developer  

install.diff (3,493 bytes)
diff --git a/src/dns/Makefile.am b/src/dns/Makefile.am
index a8ff426..45b86c7 100644
--- a/src/dns/Makefile.am
+++ b/src/dns/Makefile.am
@@ -21,7 +21,7 @@ pkgcfg_DATA = \
 if LINUX
 HIJACKBIN = gnunet-helper-dns
 install-exec-hook:
-	$(top_srcdir)/src/dns/install-dns-helper.sh $(libexecdir) $(GNUNETDNS_GROUP) $(SUDO_BINARY) || true
+	$(top_srcdir)/src/dns/install-dns-helper.sh $(DESTDIR)$(libexecdir) $(GNUNETDNS_GROUP) $(SUDO_BINARY) || true
 else
 install-exec-hook:
 endif
diff --git a/src/exit/Makefile.am b/src/exit/Makefile.am
index 10a1ae8..6c4cbf1 100644
--- a/src/exit/Makefile.am
+++ b/src/exit/Makefile.am
@@ -22,7 +22,7 @@ dist_pkgcfg_DATA = \
 if LINUX
 EXITBIN = gnunet-helper-exit
 install-exec-hook:
-	$(top_srcdir)/src/exit/install-exit-helper.sh $(libexecdir) $(SUDO_BINARY) || true
+	$(top_srcdir)/src/exit/install-exit-helper.sh $(DESTDIR)$(libexecdir) $(SUDO_BINARY) || true
 else
 install-exec-hook:
 endif
diff --git a/src/gns/nss/Makefile.am b/src/gns/nss/Makefile.am
index 62da710..2551b95 100644
--- a/src/gns/nss/Makefile.am
+++ b/src/gns/nss/Makefile.am
@@ -60,7 +60,7 @@ libnss_gns6_la_LDFLAGS=$(libnss_gns_la_LDFLAGS)
 if INSTALL_NSS
 if !MINGW
 install-data-hook:
-	$(top_srcdir)/src/gns/nss/install-nss-plugin.sh $(SHELL) $(top_builddir) $(nssdir) $(SUDO_BINARY)
+	$(top_srcdir)/src/gns/nss/install-nss-plugin.sh $(SHELL) $(top_builddir) $(DESTDIR)$(nssdir) $(SUDO_BINARY)
 
 uninstall-hook:
 	$(top_srcdir)/src/gns/nss/uninstall-nss-plugin.sh $(SHELL) $(top_builddir) "rm -f $(nssdir)/libnss_gns.so.2" $(SUDO_BINARY)
diff --git a/src/nat/Makefile.am b/src/nat/Makefile.am
index 063b8e3..92acbf1 100644
--- a/src/nat/Makefile.am
+++ b/src/nat/Makefile.am
@@ -20,14 +20,14 @@ if LINUX
   NATSERVER = gnunet-helper-nat-server.c
   NATCLIENT = gnunet-helper-nat-client.c
 install-exec-hook:
-	$(top_srcdir)/src/nat/install-nat-helper.sh $(libexecdir) $(SUDO_BINARY) || true
+	$(top_srcdir)/src/nat/install-nat-helper.sh $(DESTDIR)$(libexecdir) $(SUDO_BINARY) || true
 else
 if XFREEBSD
   NATBIN = gnunet-helper-nat-server gnunet-helper-nat-client
   NATSERVER = gnunet-helper-nat-server.c
   NATCLIENT = gnunet-helper-nat-client.c
 install-exec-hook:
-	$(top_srcdir)/src/nat/install-nat-helper.sh $(libexecdir) $(SUDO_BINARY) || true
+	$(top_srcdir)/src/nat/install-nat-helper.sh $(DESTDIR)$(libexecdir) $(SUDO_BINARY) || true
 endif
 else
 install-exec-hook:
diff --git a/src/transport/Makefile.am b/src/transport/Makefile.am
index 950b0a9..0016811 100644
--- a/src/transport/Makefile.am
+++ b/src/transport/Makefile.am
@@ -95,9 +95,9 @@ endif
 
 if LINUX
 install-exec-hook:
-	$(top_srcdir)/src/transport/install-wlan-helper.sh $(libexecdir) $(SUDO_BINARY) || true
+	$(top_srcdir)/src/transport/install-wlan-helper.sh $(DESTDIR)$(libexecdir) $(SUDO_BINARY) || true
 if HAVE_LIBBLUETOOTH
-	$(top_srcdir)/src/transport/install-bluetooth-helper.sh $(libexecdir) $(SUDO_BINARY) || true
+	$(top_srcdir)/src/transport/install-bluetooth-helper.sh $(DESTDIR)$(libexecdir) $(SUDO_BINARY) || true
 endif
 else
 install-exec-hook:
diff --git a/src/vpn/Makefile.am b/src/vpn/Makefile.am
index 47bee89..5517a45 100644
--- a/src/vpn/Makefile.am
+++ b/src/vpn/Makefile.am
@@ -22,7 +22,7 @@ pkgcfg_DATA = \
 if LINUX
 VPNBIN = gnunet-helper-vpn
 install-exec-hook:
-	$(top_srcdir)/src/vpn/install-vpn-helper.sh $(libexecdir) $(SUDO_BINARY) || true
+	$(top_srcdir)/src/vpn/install-vpn-helper.sh $(DESTDIR)$(libexecdir) $(SUDO_BINARY) || true
 else
 install-exec-hook:
 endif
install.diff (3,493 bytes)

Christian Grothoff

2015-07-22 10:07

manager   ~0009473

Looks good, please commit!

amatus

2015-11-21 05:59

developer   ~0009936

This was fixed in revision 36389

Issue History

Date Modified Username Field Change
2015-07-18 14:14 lynX New Issue
2015-07-18 14:14 lynX File Added: install.diff
2015-07-22 10:07 Christian Grothoff Note Added: 0009473
2015-07-22 10:08 Christian Grothoff Assigned To => lynX
2015-07-22 10:08 Christian Grothoff Status new => assigned
2015-07-22 10:08 Christian Grothoff Target Version => 0.11.0pre66
2015-11-21 05:59 amatus Note Added: 0009936
2015-11-21 05:59 amatus Status assigned => resolved
2015-11-21 05:59 amatus Resolution open => fixed
2015-11-21 05:59 amatus Fixed in Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed